Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2002-2235

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2002-2235
Last Modified 05 Sep 2008 04:32:41
Published 31 Dec 2002 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2002-2235

Summary

member2.php in vBulletin 2.2.9 and earlier does not properly restrict the $perpage variable to be an integer, which causes an error message to be reflected back to the user without quoting, which facilitates cross-site scripting (XSS) and possibly other attacks.

Vulnerable Systems

Application

  • Jelsoft Vbulletin 2.0

  • Jelsoft Vbulletin 2.0.1

  • Jelsoft Vbulletin 2.0.2

  • Jelsoft Vbulletin 2.2.0

  • Jelsoft Vbulletin 2.2.1

  • Jelsoft Vbulletin 2.2.2

  • Jelsoft Vbulletin 2.2.3

  • Jelsoft Vbulletin 2.2.4

  • Jelsoft Vbulletin 2.2.5

  • Jelsoft Vbulletin 2.2.6

  • Jelsoft Vbulletin 2.2.7

  • Jelsoft Vbulletin 2.2.8

  • Jelsoft Vbulletin 2.2.9

  • Jelsoft Vbulletin 2.2.9 Can


References

BID - 6246

XF - vbulletin-member2-perpage-xss(10701)

SREASON - 3229

BUGTRAQ - 20021123 vBulletin XSS Injection Vulnerability


Last Updated: 27 May 2016 10:37:40